Version 1.5.1 & 1.4.4

The latest news about Gargoyle

Moderator: Moderators

nohitme
Posts: 3
Joined: Tue Dec 06, 2011 1:59 am

Re: Version 1.5.1 & 1.4.4

Post by nohitme »

(I apologize for my terrible English)

I was about to upgrade my DIR-825 to 1.51 since I had the same wifi issue. And a weird thing happened. All the settings were gone after I tried to reboot the machine every single time. :cry:

Actually it had happened when I tried to use the image file that I compiled myself. I thought it might be some minor issue of testing build. Therefore, I went back to 1.5.0, and everything was fine except wifi.

Now the latest build has the same problem. I have tried v1.4.4 version, which works fine on DIR-825 (at least it keeps the settings)

So does anyone know what the problem might be?

Cezary
Posts: 135
Joined: Thu Sep 11, 2008 12:57 pm
Location: Poland
Contact:

Re: Version 1.5.1 & 1.4.4

Post by Cezary »

If you remove modem /dev/ttyUSB1 (serial port) no longer exists. Change wan from 3g to dhcp.

ispyisail
Moderator
Posts: 4882
Joined: Mon Apr 06, 2009 3:15 am
Location: New Zealand

Re: Version 1.5.1 & 1.4.4

Post by ispyisail »

Image

I have

still getting these errors

Code: Select all

Dec  6 21:41:01 Gargoyle cron.err crond[18690]: USER root pid 23069 cmd /usr/bin/set_kernel_timezone >/dev/null 2>&1
Dec  6 21:41:31 Gargoyle daemon.err pppd[13419]: Failed to open /dev/ttyUSB1: No such file or directory
Dec  6 21:42:01 Gargoyle daemon.err pppd[13419]: Failed to open /dev/ttyUSB1: No such file or directory
Dec  6 21:42:32 Gargoyle daemon.err pppd[13419]: Failed to open /dev/ttyUSB1: No such file or directory
Dec  6 21:43:03 Gargoyle daemon.err pppd[13419]: Failed to open /dev/ttyUSB1: No such file or directory
Dec  6 21:43:34 Gargoyle daemon.err pppd[13419]: Failed to open /dev/ttyUSB1: No such file or directory
Dec  6 21:44:05 Gargoyle daemon.err pppd[13419]: Failed to open /dev/ttyUSB1: No such file or directory
Dec  6 21:44:36 Gargoyle daemon.err pppd[13419]: Failed to open /dev/ttyUSB1: No such file or directory
Dec  6 21:45:07 Gargoyle daemon.err pppd[13419]: Failed to open /dev/ttyUSB1: No such file or directory
Dec  6 21:45:38 Gargoyle daemon.err pppd[13419]: Failed to open /dev/ttyUSB1: No such file or directory
Dec  6 21:46:09 Gargoyle daemon.err pppd[13419]: Failed to open /dev/ttyUSB1: No such file or directory
Dec  6 21:46:40 Gargoyle daemon.err pppd[13419]: Failed to open /dev/ttyUSB1: No such file or directory

Cezary
Posts: 135
Joined: Thu Sep 11, 2008 12:57 pm
Location: Poland
Contact:

Re: Version 1.5.1 & 1.4.4

Post by Cezary »

Press save :)

Gargoyle doesn't display 3G option if no serial port detected, but hold valid config for 3g.

vel
Posts: 3
Joined: Thu May 27, 2010 10:27 am

Re: Version 1.5.1 & 1.4.4

Post by vel »

Looks like 1.5.1 fixed issue with wifi drop. My WRT54G-RG is working fine for the last 12 hours. Thanks!
Flashing gargoyle_1.5.1-wrt54g-squashfs.bin did not work for me, so I had to flash gargoyle_1.5.1-brcm47xx-squashfs.trx. Also, saving Custom DNS Servers failed once, but worked second time I've tried.
My Wireless-G PrintServer WPSM54G still can not connect using WPA2 (tried both PSK and AES), but it is the same problem since v1.3.10. Guess it has nothing to do with Gargoyle, there is ticket open https://dev.openwrt.org/ticket/10151 on OpenWRT trac.
Still not set QoS, will wait a bit, so far all is good with DHCP, static IPs mapped, Static IP (wired) connection, restrictions and quota being set up.
Thanks again Eric!

frank604
Posts: 17
Joined: Thu Dec 01, 2011 1:01 am

Re: Version 1.5.1 & 1.4.4

Post by frank604 »

The WNDR3700 V2 for 1.4.4 and 1.5.1 NA is not shown? Does this mean I can just use gargoyle_1.5.1-ar71xx-wndr3700v2-squashfs-factory.img even if I'm in Canada? Sorry for a noob question but just wanted to be sure.

Or should I install a 1.5.0 NA version and just sysupgrade to 1.5.1?

hnl_dk
Moderator
Posts: 408
Joined: Mon Aug 29, 2011 12:37 pm

Re: Version 1.5.1 & 1.4.4

Post by hnl_dk »

vel wrote:Looks like 1.5.1 fixed issue with wifi drop. My WRT54G-RG is working fine for the last 12 hours. Thanks!
Flashing gargoyle_1.5.1-wrt54g-squashfs.bin did not work for me, so I had to flash gargoyle_1.5.1-brcm47xx-squashfs.trx. Also, saving Custom DNS Servers failed once, but worked second time I've tried.
My Wireless-G PrintServer WPSM54G still can not connect using WPA2 (tried both PSK and AES), but it is the same problem since v1.3.10. Guess it has nothing to do with Gargoyle, there is ticket open https://dev.openwrt.org/ticket/10151 on OpenWRT trac.
Still not set QoS, will wait a bit, so far all is good with DHCP, static IPs mapped, Static IP (wired) connection, restrictions and quota being set up.
Thanks again Eric!

Have you tried setting the channel, instead of using the auto-channel option?
Router: TL-WR1043ND - Gargoyle 1.5.4
AP: TL-WR1043ND - Gargoyle 1.5.4

Eric
Site Admin
Posts: 1441
Joined: Sat Jun 14, 2008 1:14 pm

Re: Version 1.5.1 & 1.4.4

Post by Eric »

frank604: Unlike the v1 WNDR3700, the v2 of this router doesn't require a different firmware image for routers in North America, hence the lack of an NA image. This was only corrected recently, with the last release. So, you should be able to use the gargoyle_1.5.1-ar71xx-wndr3700v2-squashfs-factory.img firmware without a problem.

hnl_dk
Moderator
Posts: 408
Joined: Mon Aug 29, 2011 12:37 pm

Re: Version 1.5.1 & 1.4.4

Post by hnl_dk »

upgrade worked perfectly on both my routers using viewtopic.php?f=7&t=2042
Router: TL-WR1043ND - Gargoyle 1.5.4
AP: TL-WR1043ND - Gargoyle 1.5.4

frank604
Posts: 17
Joined: Thu Dec 01, 2011 1:01 am

Re: Version 1.5.1 & 1.4.4

Post by frank604 »

Eric wrote:frank604: Unlike the v1 WNDR3700, the v2 of this router doesn't require a different firmware image for routers in North America, hence the lack of an NA image. This was only corrected recently, with the last release. So, you should be able to use the gargoyle_1.5.1-ar71xx-wndr3700v2-squashfs-factory.img firmware without a problem.



Awesome! Great news. Thanks Eric.

Post Reply